Community Forums Today's Posts     Member List     Archive    
Page 6 of 7 FirstFirst ... 4567 LastLast
Results 76 to 90 of 101
  1. #76
    Join Date
    Sep 2009
    Location
    Germany
    Posts
    8
    Hello, I have always agrees error news:

    ts3@r28289:~/ts3$ ./startscript.sh start
    ./startscript.sh: line 352: unexpected EOF while looking for matching `''
    ./startscript.sh: line 360: syntax error: unexpected end of file



    what can this lie with? please around quick help.


    /edit: OK which are away errors, now I have problem, I click on starts and he does not start
    Last edited by Andre2008; 11-04-2010 at 22:00.

  2. #77
    Join Date
    Sep 2009
    Location
    Germany
    Posts
    8
    Hello,
    I have suspended sometimes some screnns, please around help and what one must brag with \ " versionscheck.sh \ " as a password? set LOGIN \ " what PW? \ "

    http://www.bilder-space.de/bilder/fdf504-1271072283.jpg

    http://www.bilder-space.de/bilder/802c28-1271072395.jpg

    http://www.bilder-space.de/bilder/9296bb-1271072494.jpg

    PLS HELP

  3. #78
    Join Date
    Sep 2004
    Location
    austria
    Posts
    11
    Gibts hier noch ein update ?

  4. #79
    Join Date
    Jun 2010
    Location
    Germany
    Posts
    2

    Some Improvements...

    Hi there /dev/null/
    yesterday I found your startscript. I was looking for a script to update my local ts3 server without fiddling around everytime.
    And your script was really nice.

    I took it and added a simple option for a real 'automatic' update.
    Basically I copied your 'update' function and converted it to the 'autoupdate' version, which checks if the beta version on the ftp has an higher integer in its version string than the version locally installed. Then it updated without prompting you, only if necessary.

    I use an ubuntu server, and for installing automatic start and stop I enjoy the simplicity of
    Code:
    update-rc.d
    but for this to work your script has to be in
    Code:
    /etc/init.d
    so I added another option in the script settings to tell it wheter the startscript is in a different location than versionscript.sh.

    Furthermore I changed the internal call of startscript.sh to a variable, so you can painlessly rename the script. (if it's in init.d the name startscript.sh doesn't tell you much)

    After having moved the script to its proper location you can simply run a cronjob which updates the server at maybe 5:30 AM. All you have to do is edit your crontab and add the following line (change PATHTOSTARTSCRIPT and PATHTOTS3 to match your own conditions):
    Code:
    30 05 * * * /PATHTOSTARTSCRIPT/startscript.sh autoupdate > /PATHTOTS3/logs/update.log
    After each run you will have a logfile in the ts3 logs folder to see if anything went wrong. This way crontab checks daily for updates.

    Thanks for your great script /dev/null/. My updated startscript.sh is here
    Certainly this could have been made more elegant, but I'm not a bash guru and for me it works :-)
    Let me know what you think.
    Attached Files Attached Files

  5. #80
    Join Date
    Jun 2010
    Location
    Germany
    Posts
    2

    Made some Improvements

    List of changes:
    • Added autoupdate function which checks whether the integer of the installed version is smaller than the integer of the serverside version and updates if necessary. Without user intervention. For use in cronjobs
    • Changed script so you can rename it.
    • Added a variable (PATHTSSCRIPT) so you can locate startscript.sh in another directory than versionstatus.sh. Changed the script accordingly.
    • Used type to determine if necessary binaries exist so its not hardlinked to certain locations


    On my Ubuntu Server I can rename the script to a meaningful name and copy it to
    Code:
    /etc/init.d
    Then I can use
    Code:
    update-rc.d
    to install automatic links to startup and shutdown the ts3server with my server.
    And finally I can modify my crontab with
    Code:
    crontab -e
    in order to run an automatic update of the server every morning:
    Code:
    30 05 * * * /etc/init.d/ts3startscript.sh autoupdate > /home/ts3user/ts3/log/update.log

    Code:
    #!/bin/bash
    #Teamspeak3 MultiStartscript
    
    # Version: 1.2.1
     
    # Written by:
    # J. Daniel (/dev/null/ âka Pikniker )
    # http://www.goxts.com
    
    # Special Credits to Obbi for help me by grep out informations!
    # updated by bl33ding edge
    # ~~ Change this Settings for you own Serverconfiguration ~~
    
    
    PAT='/home/ts3user/ts3/'										# Path to you TeamSpeak3Server files
    PATHTSSCRIPT='./'							# Path to your Teamspeak3 Multistartscript if it's in another directory. Otherwise leave './' for same directory as versionsscript.sh.
    #( !Attention! Requirement / at the ends of the line )
    
    TITLE='TeamSpeak3 Server'									# Set you own Screentitle
    NAME='ts3'													# Set you own PID Name
    
    SERVER='ts3server_linux_x86'								# Alternative ts3server_linux_amd64
    LOADPLUGIN=''												# For SQLite leave blank ( MySQL: dbplugin=ts3db_mysql )
    
    FILENAME='teamspeak3-server_linux-x86'						# For 64Bit Server change it to teamspeak3-server_linux-amd64
    DISTVER='x86-3.0.0'											# For 64Bit Server change it to amd64-3.0.0
    
    STATUS='beta'												# To change the name "beta" in the files when beta is over
    
    USER='ts3'													# User for start the Server
    
    FTPPATH='http://ftp.4players.de/pub/hosted/ts3/releases/'	# FTP Downloadpath from TeamSpeak3 ( Normally you must dont edit this Line )
    #( !Attention! Requirement / at the ends of the line )
    
    
    # ~~ END OF CONFIGURATION ~~
    
    
    
    ########################################
    #					    #
    #  ! DO NOT EDIT THE FOLLOWING LINES ! #
    #					    #
    ########################################
    
    INTERFACE="/usr/bin/screen -A -m -d -S $NAME"
    type sed
    if [ ! "$?" -eq 0 ] ; then
      echo""
      echo -en "\E[31mError  \E[37m~~> Startscript can't startup!";
      tput sgr0
      echo""
      echo -en "\E[31mError  \E[37m~~> The package \E[25;44mSED\E[37;40m \E[37;41mis not installed\E[37;40m!";
      tput sgr0
      echo""
      echo""
      echo -en "\E[32mInfo   \E[37m~~> Use \E[33;40mapt-get install sed\E[37;40m, or install the package 'sed'.";
      tput sgr0
      echo""
      echo""
      exit 1;
    fi;
    
    type awk
    if [ ! "$?" -eq 0 ]; then 
      echo""
      echo -en "\E[31mError  \E[37m~~> Startscript can't startup!";
      tput sgr0
      echo""
      echo -en "\E[31mError  \E[37m~~> The package \E[25;44mAWK\E[37;40m \E[37;41mis not installed\E[37;40m!";
      tput sgr0
      echo""
      echo""
      echo -en "\E[32mInfo   \E[37m~~> Use \E[33;40mapt-get install awk\E[37;40m, or install the package 'awk'.";
      tput sgr0
      echo""
      echo""
      exit 1;
    fi;
    
    type screen
    if [ ! "$?" -eq 0 ]; then 
      echo""
      echo -en "\E[31mError  \E[37m~~> Startscript can't startup!";
      tput sgr0
      echo""
      echo -en "\E[31mError  \E[37m~~> The package \E[25;44mSCREEN\E[37;40m \E[37;41m is not installed\E[37;40m!";
      tput sgr0
      echo""
      echo""
      echo -en "\E[32mInfo   \E[37m~~> Use \E[33;40mapt-get install screen\E[37;40m, or install the package 'screen'.";
      tput sgr0
      echo""
      echo""
      exit 1;
    fi;
    
    type expect
    if [ ! "$?" -eq 0 ]; then 
      echo""
      echo -en "\E[31mError  \E[37m~~> Startscript can't startup!";
      tput sgr0
      echo""
      echo -en "\E[31mError  \E[37m~~> The package \E[25;44mEXPECT\E[37;40m \E[37;41mis not installed\E[37;40m!";
      tput sgr0
      echo""
      echo""
      echo -en "\E[32mInfo   \E[37m~~> Use \E[33;40mapt-get install expect\E[37;40m, or install the package 'expect'.";
      tput sgr0
      echo""
      echo""
      exit 1;
    fi;
    
    if [ `whoami` = root ]; then 
      usagetype=root; 
    else 
      usagetype=nonroot; 
    fi;
    
    server_start() {
            if [ ! -f $PAT$NAME-screen.pid ]; then
                    if [ -x $PAT$SERVER ]; then
                            clear
    						echo""
    						echo -en "\E[32mStart $TITLE"
    						tput sgr0
    						echo""
    						echo""
                            cd $PAT
                           	su $USER -c "$INTERFACE $PAT$SERVER $LOADPLUGIN"
                            sleep 1
                            ps -ef | grep -v grep | grep SCREEN | grep $NAME | awk '{print $2}' > $PAT$NAME-screen.pid
                            echo "$TITLE Screen PID was write in $PAT$NAME-screen.pid."
    						echo""
                            echo -en "\E[32m$TITLE was started."
    						tput sgr0
    						echo""
    						echo""
                    fi
            else
                    echo""
                    echo""
    		  echo -en "\E[31m$TITLE was not started, the Server is already running!"
    		  tput sgr0
    	         echo""
    	         echo -en "\E[37m---------------------------------------------------------"
                    echo""
    		  echo -en "\E[32mIf there some errors, please type the follow lines into the Shell:"
    	         echo""
    	         echo -en "\E[37m---------------------------------------------------------"
                    echo""
    		  echo -en "\E[37mkillall $SERVER"
    		  echo""
    		  echo -en "\E[37mrm -rf $PAT$NAME-screen.pid"
    		  tput sgr0
    	         echo""
                    echo""
                    exit 1
            fi
    }
    
    server_stop() {
            if [ -f $PAT$NAME-screen.pid ]; then
                    echo""
    				echo -en "\E[31mHalte $TITLE an!"
    				echo""
    				echo""
    				tput sgr0
    				for id in `cat $PAT$NAME-screen.pid`
                            do kill $id && killall $SERVER
    			   echo -en "\E[31mKille\E[37m ProzessID $id"
    			   echo""
    			   echo""
    			   tput sgr0
    			   echo "Entferne die PID datei von $TITLE"
                            rm -rf $PAT$NAME-screen.pid   
                            break
                    done
                    echo""
    				su $USER -c "screen -wipe 1> /dev/null 2> /dev/null"
                    echo -en "\E[32m$TITLE gestoppt!"
    				tput sgr0
    				echo""
    				echo""
            else
                    echo""
                    echo""
    		  echo -en "\E[31mKann den $TITLE nicht stoppen, weil dieser nicht läuft..."
    		  tput sgr0
    	         echo""
                    echo""
                    exit 1
            fi
    }
    
    server_watch () {
       if ! server_status; 
        then echo "$TITLE $NAME could not be found. Probably not running."; exit 1; fi
    
       case "$usagetype" in
       root)
        tmp=$(su - $USER -c "screen -ls" | awk -F . "\$2 ~ /^$NAME[[:space:]].*/ {print \$1}" | awk '{print $1}')
        su - $USER -c "screen -r $tmp"
       ;;
       nonroot)
        screen -r $(screen -ls | awk -F . "\$2 ~ /^$NAME[[:space:]].*/ {print \$1}" | awk '{print $1}')
       ;;
       esac
    }
    
    server_status () 
    {
       case "$usagetype" in
       root)
        su - $USER -c "screen -ls" | grep [.]$NAME[[:space:]]  > /dev/null
       ;;
       nonroot)
        screen -ls | grep [.]$NAME[[:space:]] > /dev/null
       ;;
       esac
    }
    
    server_update() {
    	cd $PAT
    		clear
    								echo -en "\E[32mSearching the current TeamSpeak3 version..."
    								tput sgr0
    								echo""
    								echo""
    								echo "Powered by http://www.goxts.com/"
    			./versionscheck.sh > update
    						cat update |  grep -o -E $STATUS[[:digit:]]+ -o | tail -n1 > version
    								echo ""
    								echo ""
    								echo -en "Installed ServerVersion :          \E[47;31m  $(cat version) "
    							tput sgr0
    								echo ""
    								echo ""
    						wget -O - $FTPPATH 2> /dev/null | grep -o -E $STATUS-[[:digit:]]+[[:digit:]]+ -o | tail -n1 > current
    								echo -en "\E[33mCurrent Serverversion\E[37m for Download:\E[47;41m $(cat current) "
    							tput sgr0
    								echo ""
    								echo ""
    								echo -en '\E[47;34m'"If you like to update now? (y/n):"
    								tput sgr0
    					read ANSWER
    						case "${ANSWER}" in
    					Yes|yes|Y|y|"")
    								echo ""
    								echo ""
    								echo -en '\E[33'm"Downloading the current version: \E[32m $(cat current)"
    							tput sgr0
    								echo ""
    								echo ""
    								echo ""
    								echo -en '\E[36m'
    						rm -rf teamspeak3-server_linux-$DISTVER-$STATUS$(a=$(cat current) && echo ${a:5:6}).tar.gz
    						wget -O - $FTPPATH$(cat current)/ 2> /dev/null | grep -o -E $FILENAME[^\"]+tar.gz -o | tail -n1 > name
    						wget $FTPPATH$(cat current)/$(cat name) && FINISHED=1 || FINISHED=1
    							tput sgr0
    								echo ""
    								echo ""
    								echo ""
    								sleep 3
    			killall ts3server_linux_x86
    						tar xfvz teamspeak3-server_linux-$DISTVER-$STATUS$(a=$(cat current) && echo ${a:5:6}).tar.gz
    						cp -P -f -R $FILENAME/* $PAT
    						rm -rf $NAME-screen.pid
    						chown -R $USER:$USER *
    						chmod 755 libts3db_mysql.so
    						chmod 755 libts3db_sqlite3.so
    						chmod 755 $SERVER
    						echo -en "\E[32mUnzip and copying are successfully"
    						tput sgr0
    						sleep 3
    			$PATHTSSCRIPT$0 start
    								echo ""
    								echo -en "\E[33mServerupdate from \E[32m$(cat version) \E[33mto \E[32m$STATUS$(a=$(cat current) && echo ${a:5:6})\E[37m \E[33m!"
    								tput sgr0
    								echo ""
    								echo ""
    								echo "Have fun with speak wishes http://www.goxts.com/"
    								echo ""
    						rm -rf teamspeak3-server_linux-$DISTVER-$STATUS$(a=$(cat current) && echo ${a:5:6}).tar.gz
    						rm -rf $FILENAME
    						rm -rf current
    						rm -rf version
    						rm -rf update
    						rm -rf name
    					;;
    				No|no|N|n) echo"" && echo"" && echo -en "\E[31mUpdate was aborted!" && tput sgr0 && echo"" && echo""
    					rm -rf current
    					rm -rf version
    					rm -rf update
    			exit 1
    		;;
    	*) echo "Unknown parameter"
    esac
    }
    
    
    server_autoupdate() {
    	cd $PAT
    		clear
    								echo -en "\E[32mSearching the current TeamSpeak3 version..."
    								tput sgr0
    								echo""
    								echo""
    								echo "Powered by http://www.goxts.com/"
    			./versionscheck.sh > update
    						cat update |  grep -o -E $STATUS[[:digit:]]+ -o | tail -n1 > version
    								VNUMBER=$(cat version | sed "s/[^0-9]//g") 
    								echo ""
    								echo ""
    								echo -en "Installed ServerVersion :          \E[47;31m  $(cat version) "
    							tput sgr0
    								echo ""
    								echo ""
    						wget -O - $FTPPATH 2> /dev/null | grep -o -E $STATUS-[[:digit:]]+[[:digit:]]+ -o | tail -n1 > current
    								CNUMBER=$(cat current | sed "s/[^0-9]//g")
    								echo -en "\E[33mCurrent Serverversion\E[37m for Download:\E[47;41m $(cat current) "
    							tput sgr0
    								echo ""
    								echo ""
    								if [ $VNUMBER -lt $CNUMBER ]; then
    								echo ""
    								echo ""
    								echo -en '\E[33'm"Downloading the current version: \E[32m $(cat current)"
    							tput sgr0
    								echo ""
    								echo ""
    								echo ""
    								echo -en '\E[36m'
    						rm -rf teamspeak3-server_linux-$DISTVER-$STATUS$(a=$(cat current) && echo ${a:5:6}).tar.gz
    						wget -O - $FTPPATH$(cat current)/ 2> /dev/null | grep -o -E $FILENAME[^\"]+tar.gz -o | tail -n1 > name
    						wget $FTPPATH$(cat current)/$(cat name) && FINISHED=1 || FINISHED=1
    							tput sgr0
    								echo ""
    								echo ""
    								echo ""
    								sleep 3
    			killall ts3server_linux_x86
    						tar xfvz teamspeak3-server_linux-$DISTVER-$STATUS$(a=$(cat current) && echo ${a:5:6}).tar.gz
    						cp -P -f -R $FILENAME/* $PAT
    						rm -rf $NAME-screen.pid
    						chown -R $USER:$USER *
    						chmod 755 libts3db_mysql.so
    						chmod 755 libts3db_sqlite3.so
    						chmod 755 $SERVER
    						echo -en "\E[32mUnzip and copying are successfully"
    						tput sgr0
    						sleep 3
    			$PATHTSSCRIPT$0 start
    								echo ""
    								echo -en "\E[33mServerupdate from \E[32m$(cat version) \E[33mto \E[32m$STATUS$(a=$(cat current) && echo ${a:5:6})\E[37m \E[33m!"
    								tput sgr0
    								echo ""
    								echo ""
    								echo "Have fun with speak wishes http://www.goxts.com/"
    								echo ""
    						rm -rf teamspeak3-server_linux-$DISTVER-$STATUS$(a=$(cat current) && echo ${a:5:6}).tar.gz
    						rm -rf $FILENAME
    						rm -rf current
    						rm -rf version
    						rm -rf update
    						rm -rf name
    					else
    					echo"" && echo"" && echo -en "\E[31mUpdate was aborted because no new version was found!" && tput sgr0 && echo"" && echo""
    					rm -rf current
    					rm -rf version
    					rm -rf update
    			fi
    }
    
    
    
    case "$1" in
     'start')
      server_start
     ;;
    
     'stop')
      server_stop
     ;;
    
     'restart')
      server_stop
      sleep 3
      server_start
     ;;
    
      'update')
      server_update
      ;;
    
     'autoupdate')
      server_autoupdate
      ;;
    
     
     status)
      if server_status; then 
        clear
        echo""
        echo -en "\E[33mInfo\E[37m ~~> The Server \E[36m$NAME ($TITLE)\E[37m are: \E[32mOnline";
        tput sgr0
        echo""
        echo""
    	cd $PAT
       ./versionscheck.sh > update
       cat update |  grep -o -E beta[[:digit:]]+ -o | tail -n1 > version
        echo -en "\E[32mInstalled\E[37m: \E[47;31m$(cat version)"
        tput sgr0
        echo""
        wget -O - $FTPPATH 2> /dev/null | grep -o -E beta-[[:digit:]]+[[:digit:]]+ -o | tail -n1 > current
        tput sgr0
        echo""
        echo -en "\E[33mCurrent    \E[37m: \E[47;41mbeta$(a=$(cat current) && echo ${a:5:6})"
        tput sgr0
        echo""
        echo""
    	rm -rf current
    	rm -rf version
    	rm -rf update
      else 
        echo""
        echo -en "\E[33mInfo\E[37m ~~> The Server \E[36m$NAME ($TITLE)\E[37m are: \E[31mOffline";
        tput sgr0
        echo""
        echo""
      fi;
     ;;
     watch)
       echo""
       echo""
       echo -en "\E[36mPress 'STRG+A :quit' to quit the function 'watch' , without close the TS3Server."
       tput sgr0
       echo""
       echo""
       sleep 5
      server_watch
     ;;
     
     *)
    	clear
    	echo""
    	echo""
    	echo -en "\E[31mAllowed functions: ~~> \E[37m $0 \E[32mstart\E[37m|\E[33mstop\E[37m|\E[36mrestart\E[37m|\E[31mupdate\E[37m|\E[35mstatus\E[37m|watch\E[32m|autoupdate"
    	tput sgr0
    	echo""
    	echo""
    	echo -en "\E[36mPress 'STRG+A :quit' to quit the function 'watch' , without close the TS3Server."
    	tput sgr0
    	echo""
    	echo""   
       exit 1;
       ;;
    
    esac

  6. #81
    Join Date
    Aug 2008
    Location
    Whois
    Posts
    600
    hi there, sorry guys i was a long time not online,
    i have some trouble with anything.

    i like to say: thanks too bl33ding edge for improved my Script
    for the new ts3 server version!
    Last edited by /dev/null/; 02-08-2010 at 21:01. Reason: change to to for ^^

  7. #82
    Join Date
    Apr 2010
    Location
    Hessen, Germany
    Posts
    15
    Hi there!

    My Teamspeakserver will not start with this script.

    PAT='/home/teamspeak_3/' # Path to you TeamSpeak3Server files
    PATHTSSCRIPT='./' # Path to your Teamspeak3 Multistartscript if it's in another directory. Otherwise leave './' for same directory as versionsscript.sh.
    #( !Attention! Requirement / at the ends of the line )

    TITLE='TeamSpeak3 Server' # Set you own Screentitle
    NAME='ts3' # Set you own PID Name

    SERVER='ts3server_linux_amd64' # Alternative ts3server_linux_amd64
    LOADPLUGIN='' # For SQLite leave blank ( MySQL: dbplugin=ts3db_mysql )

    FILENAME='teamspeak3-server_linux-amd64' # For 64Bit Server change it to teamspeak3-server_linux-amd64
    DISTVER='amd64-3.0.0' # For 64Bit Server change it to amd64-3.0.0

    STATUS='beta' # To change the name "beta" in the files when beta is over

    USER='reflex' # User for start the Server

    FTPPATH='http://ftp.4players.de/pub/hosted/ts3/releases/' # FTP Downloadpath from TeamSpeak3 ( Normally you must dont edit this Line )
    #( !Attention! Requirement / at the ends of the line )
    I use the amd64 version of the server and sqlite. I just added a user named "reflex".

    The Script says "Teamspeak 3 Server was started" and a *.pid file was created but.. there is no teamspeak running. It's running on VirtualServer "1".

    AWK, Screen and expect is installed, server is updated.

    Could it be that this problem is linked with the Chosen Custom Teamspeakport?

    Thanks for help!

  8. #83
    Join Date
    Aug 2008
    Location
    Whois
    Posts
    600
    Quote Originally Posted by RefleX-mrl View Post
    Hi there!

    My Teamspeakserver will not start with this script.



    I use the amd64 version of the server and sqlite. I just added a user named "reflex".

    The Script says "Teamspeak 3 Server was started" and a *.pid file was created but.. there is no teamspeak running. It's running on VirtualServer "1".

    AWK, Screen and expect is installed, server is updated.

    Could it be that this problem is linked with the Chosen Custom Teamspeakport?

    Thanks for help!
    No the custom TS3Port isn't the problem.
    This Script starts only the Hostsystem from Teamspeak3, but
    the virtual servers and his settings dont have influence on it.

    Your supposition poses only problems with that versionscheck.sh, this script check only the VirtualServer 1, but you can change this value to a differend number.

    Please type this, befor you start the script:

    killall $SERVER
    rm -rf $PAT$NAME-screen.pid

    if there not working, please post your logfiles.

  9. #84
    Join Date
    Aug 2010
    Location
    Germany
    Posts
    1
    Quote Originally Posted by RefleX-mrl View Post
    Hi there!

    My Teamspeakserver will not start with this script.



    I use the amd64 version of the server and sqlite. I just added a user named "reflex".

    The Script says "Teamspeak 3 Server was started" and a *.pid file was created but.. there is no teamspeak running. It's running on VirtualServer "1".

    AWK, Screen and expect is installed, server is updated.

    Could it be that this problem is linked with the Chosen Custom Teamspeakport?

    Thanks for help!
    Hello together,

    I had the same issue. Please check your latest logfile. I was told "Please make sure you use the supplied ts3server_minimal_runscript.sh to run the server, or set LD_LIBRARY_PATH yourself"
    After setting it to '.' everything works well...

  10. #85
    Join Date
    Feb 2009
    Location
    Poland
    Posts
    13
    The newest version doesn't work for me. I have the "bad interpreter: No such file or directory" error, i have fixed the file but still, doesn't work.


    Bl33ding Edge's version on the other hand does work, but it somehow doesn't see my server. It says it starts it but there's no process...

    Meh

  11. #86
    Join Date
    Apr 2010
    Location
    Hessen, Germany
    Posts
    15
    Hello together,

    I had the same issue. Please check your latest logfile. I was told "Please make sure you use the supplied ts3server_minimal_runscript.sh to run the server, or set LD_LIBRARY_PATH yourself"
    After setting it to '.' everything works well...
    Where to set '.' ?

    Get the same error again. Logfiles say nothing. :/ Please help! I want to get to run this nice script!

  12. #87
    Join Date
    Aug 2008
    Location
    Whois
    Posts
    600
    So i dont have test this script because i have write my own script but i think this must work:

    add in line 14
    Code:
    LIBRARYPATH='$(pwd)'
    add in line 131
    Code:
    export LD_LIBRARY_PATH="${LIBRARYPATH}:${LD_LIBRARY_PATH}"
    the reason for this problem is a bug ( or exploit methode ) if u dont load the librarypath in your script.

    !<untested>!

  13. #88
    Join Date
    Apr 2010
    Location
    Hessen, Germany
    Posts
    15
    So this will look like:

    echo -en "\E[37m---------------------------------------------------------"
    echo""
    echo -en "\E[32mIf there some errors, please type the follow lines into the Shell:"
    export LD_LIBRARY_PATH="${LIBRARYPATH}:${LD_LIBRARY_PATH} "
    echo""
    echo -en "\E[37m---------------------------------------------------------"
    Is this correct?

  14. #89
    Join Date
    Sep 2010
    Location
    us
    Posts
    3

    Update failing beta 27 -> 29

    I noticed that my update failed. It looks like the tar file is missing from the download site http://ftp.4players.de/pub/hosted/ts3/releases/beta-29/
    Why does it say it updated successfully?

    ts3server_linux_x86: no process killed
    tar: teamspeak3-server_linux-amd64-3.0.0-beta29.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    cp: cannot stat `teamspeak3-server_linux-x86/*': No such file or directory
    Unzip and copying are successfully

    Thanks
    Guh

  15. #90
    Join Date
    Apr 2010
    Location
    Hessen, Germany
    Posts
    15
    I noticed that my update failed. It looks like the tar file is missing from the download site http://ftp.4players.de/pub/hosted/ts3/releases/beta-29/
    Why does it say it updated successfully?

    ts3server_linux_x86: no process killed
    tar: teamspeak3-server_linux-amd64-3.0.0-beta29.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    cp: cannot stat `teamspeak3-server_linux-x86/*': No such file or directory
    Unzip and copying are successfully

    Thanks
    Guh
    Are you sure you want to install the Teamspeak Client and not the Server? Client is up on beta 29.. server on beta28.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. [solved] i need some help with my ts server
    By rebelwarrior in forum [TeamSpeak 2] Client Support
    Replies: 3
    Last Post: 14-11-2008, 00:34
  2. Server stops responding
    By Xeroed in forum [TeamSpeak 2] Server Support
    Replies: 10
    Last Post: 27-09-2006, 04:08
  3. Friends can't connect
    By shadow127 in forum [TeamSpeak 2] Server Support
    Replies: 86
    Last Post: 01-01-2006, 20:45
  4. Server
    By lars-andre-petersen in forum [TeamSpeak 2] Server Support
    Replies: 70
    Last Post: 26-09-2005, 11:54
  5. Scheisse habe QDSL alles geht nur keine REG
    By Creeper in forum [TeamSpeak 2] Server Support
    Replies: 6
    Last Post: 29-08-2002, 09:06

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •